%define name gnozip
%define version 0.1.0
%define prefix /usr

Summary: Graphical interface for compression utilities
Name: %{name}
Version: %{version}
Release: 5mdk
Copyright: GPL
Group: Archiving/Compression
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
Source: http://www.geocities.com/SiliconValley/9757/download/%{name}-%{version}.tar.bz2
Source1: gnozip_menuentry
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
URL: http://www.geocities.com/SiliconValley/9757/gnozip.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GnoZip aims to be the WinZip(tm) of the Gnome environment providing  graphical interface to the most common compression utilities.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS" %configure
make

%install
mkdir -p  $RPM_BUILD_ROOT%{prefix}/bin/
cd src/
install gnozip $RPM_BUILD_ROOT%{prefix}/bin/

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/lib/menu/%{name}

# icon
install -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{prefix}/bin/%{name}
%{prefix}/lib/menu/%{name}
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.0-5mdk
- automatically added BuildRequires

* Wed Jul 12 2000 Etienne Faure <etienne@mandrakesoft.com> 0.1.0-4mdk
- Updated to version 0.1.0

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.11-3mdk
- remove silly version number in menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.11-2mdk
- added url
- added icons

* Sun Apr 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.0.11-1mdk
- first build for mandrake.

